Summary: 	Tools for recording, editing, playing and encoding mpeg video.
Name: 		mjpegtools
Version: 	1.9.1
Release: 	13%{?dist}
License: 	GPL
URL: 		http://mjpeg.sourceforge.net/
Group: 		Applications/Multimedia
Source0:	http://prdownloads.sourceforge.net/mjpeg/mjpegtools-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-root-%{version}
BuildRequires: 	gcc-c++
BuildRequires: 	autoconf, automake, libtool
BuildRequires: 	SDL-devel >= 1.1.3, alsa-lib-devel, arts-devel
BuildRequires: 	libpng-devel, gtk2-devel >= 2.4.0
BuildRequires: 	libquicktime-devel > 0.9.7, libdv-devel >= 0.9
BuildRequires: 	libjpeg-devel
%ifarch %{ix86}
BuildRequires: 	nasm
%endif
PreReq: 	/sbin/ldconfig

%description
The mjpeg programs are a set of tools that can do recording of videos
and playback, simple cut-and-paste editing and the MPEG compression of
audio and video under Linux.

Recording is supported for the Zoran based cards like the Buz
(Iomega), DC10 (MIRO, Pinnacle), Matrox Marvel cards and the LML33
(Linux Media Labs). See related pages to the right to find the right
driver for your card.  The recorded videos can be converted to MPEG
streams. The software playback of MPEG streams works with almost every
player and every OS.  You can produce special forms of MPEG streams
like VCD (Video CD) and SVCD for hardware playback.

%package devel
Summary: Development headers and libraries for the mjpegtools.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains static libraries and C system header files
needed to compile applications that use part of the libraries
of the mjpegtools package.


%prep
%setup -q
perl -pi -e's,KEEP_SOURCE:,KEEP_SOURCE: ;,' lavtools/lavpipe.c
perl -pi -e's,\(uint8_t \*\),uint8_t *,' mpeg2enc/picture.cc 

%build
./autogen.sh
%ifnarch %ix86
CFLAGS="$CFLAGS -fPIC"; export CFLAGS
%endif
%configure \
	--enable-static \
        --enable-large-file \
        --enable-cmov-extension \
	--enable-xfree-ext \
	--enable-simd-accel \
	--disable-zalpha \
	--with-quicktime \
	--with-dv=%{_prefix} --with-dv-yv12
make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
infofile=%{_infodir}/mjpeg-howto.info
if [ -f $infofile.gz ]; then infofile=$infofile.gz; fi
/sbin/install-info $infofile %{_infodir}/dir

%postun
/sbin/ldconfig
if [ $1 = 0 ]; then
  infofile=%{_infodir}/mjpeg-howto.info
  if [ -f $infofile.gz ]; then infofile=$infofile.gz; fi
  /sbin/install-info --del $infofile %{_infodir}/dir
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS CHANGES COPYING HINTS PLANS README TODO
%{?_with_avifile:%{_bindir}/divxdec}
%{_bindir}/glav
%{_bindir}/jpeg2yuv
%{_bindir}/lav*
%{_bindir}/mp*
%{_bindir}/ppm*
%{_bindir}/testrec
%{_bindir}/y4m*
%{_bindir}/ypipe
%{_bindir}/yuv*
%{_bindir}/*.flt
%{_bindir}/pgmtoy4m
%{_bindir}/png2yuv
%{_bindir}/anytovcd.sh
%{_bindir}/mjpeg_simd_helper
%{_bindir}/pnmtoy4m
%{_bindir}/yuyvtoy4m
%{_bindir}/qttoy4m
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_infodir}/mjpeg-howto.info*

%files devel
%defattr(-,root,root,-)
#%{_bindir}/*-config
%{_includedir}/mjpegtools
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Mon Apr 17 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Mon Feb 13 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.9.1 (cvs 20060213) for libquicktime 0.9.8 support.

* Mon Oct  3 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.8.0.

* Thu Jun  2 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.3-rc1.

* Sun Apr 11 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.2.

* Thu Oct 30 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 1.6.2 from cvs.

* Thu Oct 16 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 1.6.1.90.

* Fri Apr 25 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added missing defattr for the devel package.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.
- Out goes libmovtar!
- Disable dv by default, as build fails with the latest 0.99.

* Sat Jan 11 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Changed avifile to be disabled by default.

* Wed Dec 11 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup.

* Wed May 20 2002 Thomas Vander Stichele <thomas@apestaart.org>
- Added BuildRequires and Requires

* Tue Feb 12 2002 Geoffrey T. Dairiki <dairiki@dairiki.org>
- Fix spec file to build in one directory, etc...

* Thu Dec 06 2001 Ronald Bultje <rbultje@ronald.bitfreak.net>
- separated mjpegtools and mjpegtools-devel
- added changes by Marcel Pol <mpol@gmx.net> for cleaner RPM build

* Wed Jun 06 2001 Ronald Bultje <rbultje@ronald.bitfreak.net>
- 1.4.0-final release, including precompiled binaries (deb/rpm)

